FixCRLF.OneLiner (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.FixCRLF.OneLiner class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class FixCRLF.OneLiner

    java.lang.Object
      org.apache.tools.ant.taskdefs.FixCRLF.OneLiner

All Implemented Interfaces:
  java.util.Enumeration

Enclosing class:
  FixCRLF

Deprecated. since 1.7.0.

    protected class FixCRLF.OneLiner

extends java.lang.Object
implements java.util.Enumeration

Deprecated, the functionality has been moved to filters.FixCrLfFilter.

Constructor Summary
`FixCRLF.OneLiner(java.io.File srcFile)` Deprecated. Constructor.

Method Summary
`void` | `close()` Deprecated. Close the reader.
`java.lang.String` | `getEofStr()` Deprecated. get the eof string.
`int` | `getState()` Deprecated. get the state.
`boolean` | `hasMoreElements()` Deprecated.
`java.lang.Object` | `nextElement()` Deprecated. get the next element.
`protected void` | `nextLine()` Deprecated. Move to the next line.
`void` | `setState(int state)` Deprecated. Set the state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixCRLF.OneLiner

    public FixCRLF.OneLiner(java.io.File srcFile)
                     throws BuildException

  Deprecated.
  Constructor.

  Parameters:
    `srcFile` - the file to read.
  Throws:
    `BuildException` - if there is an error.

Method Detail

### nextLine

    protected void nextLine()
                     throws BuildException

  Deprecated.
  Move to the next line.

  Throws:
    `BuildException` - if there is an error.

### getEofStr

    public java.lang.String getEofStr()

  Deprecated.
  get the eof string.

  Returns:
    the eof string.

### getState

    public int getState()

  Deprecated.
  get the state.

  Returns:
    the state.

### setState

    public void setState(int state)

  Deprecated.
  Set the state.

  Parameters:
    `state` - the value to use.

### hasMoreElements

    public boolean hasMoreElements()

  Deprecated.
  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`
  Returns:
    true if there is more elements.

### nextElement

    public java.lang.Object nextElement()
                                 throws java.util.NoSuchElementException

  Deprecated.
  get the next element.

  Specified by:
    `nextElement` in interface `java.util.Enumeration`
  Returns:
    the next element.
  Throws:
    `java.util.NoSuchElementException` - if there is no more.

### close

    public void close()
               throws java.io.IOException

  Deprecated.
  Close the reader.

  Throws:
    `java.io.IOException` - if there is an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD